Subject: Re: Compiling Bison-generated parsers with MS VC++?
From: [email-masked] (Steven J. Zeil)

15 Oct 1998 03:20:27 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

Well, my previous message got garbled somewhere along the way between my
mailer and the GnuWin32 digest.  Since I follow this group via the digest,
I'm not sure how it looked on the actual mailing list, but the digested
message is missing the phrase equivalent to:
    left-angle-bracket in.h right-angle-bracket
in 2 places (removed by a mailer as a bad HTML tag?)

> VC++ declares alloca in , so I have found it necessary to add
                         |
                     missing:  in.h within angle brackets
> an #include for that file to the declarations section of my bison 
> inputs.
>
> I have also found a problem with isatty occurring in scanners
> generated by some versions of flex. The VC++ header for this does not 
> put it in an "extern "C" {}", leading to errors when the program
> is linked.
>
> So I wind up adding the following:
> #ifdef _MSC_VER
> #include 
            |
          missing:  in.h within angle brackets
> extern "C" {
>   int isatty (int handle);
> }
> #endif
> to cover both problems.

-------------------------
Steven J. Zeil
Dept. of Computer Science        http://www.cs.odu.edu/~zeil
Old Dominion University
Norfolk, VA 23529

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".